%define name	gtkmm
%define version	1.1.3
%define release	1
%define serial	2
%define prefix	/usr

Summary:	Gtk-- is a C++ wrapper for GTK, the Gimp ToolKit.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	LGPL
Group:		System Environment/Libraries
URL:		http://www.iki.fi/terop/gtk/gtk--.html
Vendor:		Tero Pulkkinen <terop@modeemi.cs.tut.fi>
Source:		ftp://ftp.gtk.org/pub/gtk/gtk--/%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-root
BuildPrereq:	libsigc++
Obsoletes:	gtk--

Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>

%description
Gtk-- is a C++ wrapper for GTK, the Gimp ToolKit. GTK is a
library for creating graphical user interfaces. Gtk-- is
distributed under GNU LGPL.

%package	devel
Summary:	Gtk-- headers for developing programs using libgtkmm
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	gtk---devel

%description	devel
This package is needed to develop programs that use gtk--, the C++
extensions to gtk+.

%package	devel-static
Summary:	Gtk-- static libraries.
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	gtk---staticlibs, gtk---static

%description	devel-static
This package is the static libraries for gtk--, the C++
extensions to gtk+.

%prep
%setup -q

%build
if [ ! -f configure ]; then
	CFLAGS="$RPM_OPT_FLAGS" \
	CXXFLAGS="$RPM_OPT_FLAGS" \
	./autogen.sh $ARCH_FLAGS --prefix=%{prefix} --enable-static
else
	CFLAGS="$RPM_OPT_FLAGS" \
	CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure $ARCH_FLAGS --prefix=%{prefix} --enable-static
fi

make

# Making Docs (manpages && html)
(cd docgen; make docs;cd ..)

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
make DESTDIR=$RPM_BUILD_ROOT install

# Installing Manpages
mkdir -p $RPM_BUILD_ROOT%{prefix}/man/man3
(
	for i in `find docs -name \*.3`; do
		install -m 644 $i $RPM_BUILD_ROOT%{prefix}/man/man3/
		rm $i
	done
)

# Removing Makefiles from docs dir
rm -rf docs/Makefile* docs/tutorial

# Install docs and example dirs to %{prefix}/lib/gtkmm
cp -a docs examples $RPM_BUILD_ROOT%{prefix}/lib/gtkmm

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog Gtk--FAQ INSTALL NEWS README TODO
%{prefix}/lib/*.so.*

%files	devel
%defattr(-, root, root)
%{prefix}/bin/*
%{prefix}/include/*.h
%{prefix}/include/gdk--
%{prefix}/include/gnome--
%{prefix}/include/gtk--
%{prefix}/lib/*.sh
%{prefix}/lib/*.so
%{prefix}/lib/gtkmm
%{prefix}/man/man3/*
%{prefix}/share/aclocal/gtk--.m4

%files	devel-static
%defattr(-, root, root)
%{prefix}/lib/*.a

%changelog
* Fri Nov 12 1999 Ryan Weaver <ryanw@infohwy.com>
- Changed package name from gtk-- to gtkmm

  [gtkmm-1.1.3-1]
- Return codes verify now.
- Many example updates by Amy Fong.
- List and Tree wrappers updated.
- Changed NULL to 0 for gcc 2.95.2
- Major fixes to GnomeApp

  [gtkmm-1.1.2-1]
- Critical core improvements
- Requires libsigc++ 0.8.5
- Improved distribution.
- Working examples.
- Improved API consistancy. 

  [gtkmm-1.1.0-1]
- Completely reworked core functionality
- Smaller signal proxies
- Better memory managment
- Seperated signal system to libsigc++
- New code generator (gtkmmproc)
- More gnome-- wrappers
- Tutorial & examples
- Rework notebook, toolbar, and main
- Packaging improvements

* Tue Aug  3 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtk--1.0.2-1]
- Improvements to list wrappers and portablity fixes. (world)
- Ctree, Style, Clist improvements (Dukes)
- Fixed drag_begin. (Dukes)
- ItemFactory interface changes. (Dukes&Tero)
- Fixed global trashcan problem -- critical. (Stephane Conversy)
- Gdk-- bug in reference counting. (Ewen McNeill)
- Missing ctors in gdk--.  (Dukes)
- Gnome-- item fixes (Herbert Valerio Riedel)
- Numerous package fixes.

  [gtk--1.0.1-1]
- 1.0.1 release test run
- A lot of bug fixes.

* Tue Apr  6 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtk--1.0.0-3]
- Added patch for sigsegv in Gtk_ObjectHandle. (Available on web site.)
- Renamed staticlibs package to devel-static.

* Fri Mar 12 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtk--1.0.0-2]
- Split static libs into separate package.

* Wed Mar 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtk--1.0.0-1]
- gtk--1.0.0 ( 9 Mar 1999)
- 1.0 release test run
- fixed namespace problems (hope this works)
- fixed some goofs from 0.99.1

* Tue Mar  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtk--0.99.1-1]
- gtk--0.99.1 ( 2 Mar 1999)
- Makefile problems fixed
- gcc2.7.2 problems fixed
- doc generation problems fixed - now it shouldnt generate them
  many times
- Massive fix for connections
- Distribution problems fixed
- STL usage fixes
- numerous other minor fixes
- (I hope this one works)

- gtk--0.99.0 ( 1 Mar 1999)
- gtk+1.2 fixes
- Makefile.am's fixed to include all directories
- other minor bug fixes

* Thu Feb 25 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtk--0.11.2-4]
- Building Against GNOME 0.99.8.1 and GTK 1.1.15

* Tue Feb 23 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtk--0.11.2-3]
- Removed CFLAGS & CXXFLAGS Optimizing flags.

* Tue Feb 23 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtk--0.11.2-2]
- Fixed Vendor email address.
- Fixed Url address.

* Mon Feb 22 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtk--0.11.2-1]
- Upgraded to version 0.11.2
- gtk--0.11.2 (21 Feb 1999)
- documentation fixes
- bug fixes...
- (hmm, I dont know what has been changed)
- Changed back to the old style release notes.

* Mon Jan 25 1999 Ryan Weaver <ryanw@infohwy.com>
- Upgraded to version 0.11.1

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with gtk---devel requiring libgtk-- (not gtk--).  Oops.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with most of the headers not being included.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.1

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed to build gtk-- and gtk---devel packages.

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- First (s)rpm build.
